Loading...
Searching...
No Matches
DcmRoleSelectionItem Class Reference

this helper class is a role selection list entry. More...

## Public Member Functions

| DcmRoleSelectionItem (T_ASC_SC_ROLE role, const DcmUIDHandler &abstractSyntax)
| constructor
| DcmRoleSelectionItem (const DcmRoleSelectionItem &arg)
| copy constructor
| ~DcmRoleSelectionItem ()
| destructor
DcmRoleSelectionItem & | operator= (const DcmRoleSelectionItem &arg)
| assignment operator
OFBool | matches (const DcmUIDHandler &arg) const
| checks if the given argument matches the abstract syntax UID maintained by this object
const DcmUIDHandler & | getAbstractSyntax () const
| returns a const reference to the abstract syntax UID maintained by this object
T_ASC_SC_ROLE | getRole () const
| returns the role maintained by this object
OFBool | operator== (const DcmRoleSelectionItem &arg) const
| comparison operator.

## Private Attributes

T_ASC_SC_ROLE | role_
| SCP/SCU role.
DcmUIDHandler | uid_
| abstract syntax

## Detailed Description

this helper class is a role selection list entry.

Not intended for use by the end user.

## Constructor & Destructor Documentation

## DcmRoleSelectionItem()

DcmRoleSelectionItem::DcmRoleSelectionItem | ( | T_ASC_SC_ROLE | role,
|  | const DcmUIDHandler & | abstractSyntax )

constructor

Parameters

  role | supported SCP/SCU role
  abstractSyntax | abstract syntax

Referenced by DcmRoleSelectionItem(), operator=(), and operator==().

## Member Function Documentation

## getAbstractSyntax()

const DcmUIDHandler & DcmRoleSelectionItem::getAbstractSyntax | ( |  | ) | const

inline

returns a const reference to the abstract syntax UID maintained by this object

Returns
  reference to abstract syntax UID

References uid_.

## matches()

OFBool DcmRoleSelectionItem::matches | ( | const DcmUIDHandler & | arg | ) | const

inline

checks if the given argument matches the abstract syntax UID maintained by this object

Parameters

  arg | argument to compare to

Returns
  true if equal, false otherwise

References uid_.

## operator==()

OFBool DcmRoleSelectionItem::operator== | ( | const DcmRoleSelectionItem & | arg | ) | const

inline

comparison operator.

Parameters

  arg | object to compare with

Returns
  true if equal

References DcmRoleSelectionItem(), role_, and uid_.

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfrsmp.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0